Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PrettyWriter< OutputStream, SourceEncoding, TargetEncoding, Allocator > Class Template Reference

Writer with indentation and spacing. More...

`#include <prettywriter.h>`

Inheritance diagram for PrettyWriter< OutputStream, SourceEncoding, TargetEncoding, Allocator >:

## Public Types
typedef Writer< OutputStream, SourceEncoding, TargetEncoding, Allocator > | Base
typedef Base::Ch | Ch
Public Types inherited from Writer< OutputStream, SourceEncoding, TargetEncoding, Allocator >
typedef SourceEncoding::Ch | Ch

## Public Member Functions
| PrettyWriter (OutputStream &os, Allocator *allocator=0, size_t levelDepth=Base::kDefaultLevelDepth)
| Constructor. More...
PrettyWriter & | SetIndent (Ch indentChar, unsigned indentCharCount)
| Set custom indentation. More...
PrettyWriter & | String (const Ch *str)
| Simpler but slower overload. More...
PrettyWriter & | Null ()
PrettyWriter & | Bool (bool b)
PrettyWriter & | Int (int i)
PrettyWriter & | Uint (unsigned u)
PrettyWriter & | Int64 (int64_t i64)
PrettyWriter & | Uint64 (uint64_t u64)
PrettyWriter & | Double (double d)
PrettyWriter & | String (const Ch *str, SizeType length, bool copy=false)
PrettyWriter & | StartObject ()
PrettyWriter & | EndObject (SizeType memberCount=0)
PrettyWriter & | StartArray ()
PrettyWriter & | EndArray (SizeType memberCount=0)
Public Member Functions inherited from Writer< OutputStream, SourceEncoding, TargetEncoding, Allocator >
| Writer (OutputStream &os, Allocator *allocator=0, size_t levelDepth=kDefaultLevelDepth)
Writer & | String (const Ch *str)
| Simpler but slower overload. More...
Writer & | Null ()
Writer & | Bool (bool b)
Writer & | Int (int i)
Writer & | Uint (unsigned u)
Writer & | Int64 (int64_t i64)
Writer & | Uint64 (uint64_t u64)
Writer & | Double (double d)
Writer & | String (const Ch *str, SizeType length, bool copy=false)
Writer & | StartObject ()
Writer & | EndObject (SizeType memberCount=0)
Writer & | StartArray ()
Writer & | EndArray (SizeType elementCount=0)

## Protected Member Functions
void | PrettyPrefix (Type type)
void | WriteIndent ()
Protected Member Functions inherited from Writer< OutputStream, SourceEncoding, TargetEncoding, Allocator >
void | WriteNull ()
void | WriteBool (bool b)
void | WriteInt (int i)
void | WriteUint (unsigned u)
void | WriteInt64 (int64_t i64)
void | WriteUint64 (uint64_t u64)
void | WriteDouble (double d)
void | WriteString (const Ch *str, SizeType length)
void | WriteStartObject ()
void | WriteEndObject ()
void | WriteStartArray ()
void | WriteEndArray ()
void | Prefix (Type type)

## Protected Attributes
Ch | indentChar_
unsigned | indentCharCount_
Protected Attributes inherited from Writer< OutputStream, SourceEncoding, TargetEncoding, Allocator >
OutputStream & | os_
internal::Stack< Allocator > | level_stack_

## Additional Inherited Members
Static Protected Attributes inherited from Writer< OutputStream, SourceEncoding, TargetEncoding, Allocator >
static const size_t | kDefaultLevelDepth = 32

## Detailed Description

### template<typename OutputStream, typename SourceEncoding = UTF8<>, typename TargetEncoding = UTF8<>, typename Allocator = MemoryPoolAllocator<>>
class rapidjson::PrettyWriter< OutputStream, SourceEncoding, TargetEncoding, Allocator >

Writer with indentation and spacing.

Template Parameters

  OutputStream | Type of ouptut os.
  Encoding | Encoding of both source strings and output.
  Allocator | Type of allocator for allocating memory of stack.

## Member Typedef Documentation

typedef Writer<OutputStream, SourceEncoding, TargetEncoding, Allocator> Base

typedef Base::Ch Ch

## Constructor & Destructor Documentation

PrettyWriter | ( | OutputStream & | os,
|  | Allocator * | allocator = `0`,
|  | size_t | levelDepth = `Base::kDefaultLevelDepth`
| ) |  |
| inline

Constructor.

Parameters

  os | Output os.
  allocator | User supplied allocator. If it is null, it will create a private one.
  levelDepth | Initial capacity of

## Member Function Documentation

PrettyWriter& Bool | ( | bool | b | ) |
| inline

PrettyWriter& Double | ( | double | d | ) |
| inline

PrettyWriter& EndArray | ( | SizeType | memberCount = `0` | ) |
| inline

PrettyWriter& EndObject | ( | SizeType | memberCount = `0` | ) |
| inline

PrettyWriter& Int | ( | int | i | ) |
| inline

PrettyWriter& Int64 | ( | int64_t | i64 | ) |
| inline

PrettyWriter& Null | ( |  | ) |
| inline

void PrettyPrefix | ( | Type | type | ) |
| inline protected

PrettyWriter& SetIndent | ( | Ch | indentChar,
|  | unsigned | indentCharCount
| ) |  |
| inline

Set custom indentation.

Parameters

  indentChar | Character for indentation. Must be whitespace character (' ', '', ' ', '').
  indentCharCount | Number of indent characters for each indentation level.

Note
  The default indentation is 4 spaces.

PrettyWriter& StartArray | ( |  | ) |
| inline

PrettyWriter& StartObject | ( |  | ) |
| inline

PrettyWriter& String | ( | const Ch * | str,
|  | SizeType | length,
|  | bool | copy = `false`
| ) |  |
| inline

PrettyWriter& String | ( | const Ch * | str | ) |
| inline

Simpler but slower overload.

PrettyWriter& Uint | ( | unsigned | u | ) |
| inline

PrettyWriter& Uint64 | ( | uint64_t | u64 | ) |
| inline

void WriteIndent | ( |  | ) |
| inline protected

## Member Data Documentation

Ch indentChar_
| protected

unsigned indentCharCount_
| protected

The documentation for this class was generated from the following file:

- persistence/rapidjson/include/rapidjson/prettywriter.h